Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossJVM

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossJVM

All Implemented Interfaces:
  management.J2EEManagedObject, management.JVM, java.io.Serializable

public synchronized class JBossJVM
extends JBossJ2EEManagedObject
implements management.JVM

See Also:
  Serialized Form

Constructor Summary
`JBossJVM(java.lang.String, int, int, java.lang.String, java.lang.String, java.lang.String)`

Method Summary
`java.lang.String` | `getClasspath()`
`int` | `getHeapUsage()`
`java.lang.String` | `getJavaVendor()`
`java.lang.String` | `getJavaVersion()`
`int` | `getMaxHeap()`
`void` | `setClasspath(java.lang.String)`
`void` | `setHeapUsage(int)`
`void` | `setJavaVendor(java.lang.String)`
`void` | `setJavaVersion(java.lang.String)`
`void` | `setMaxHeap(int)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossJVM

    public JBossJVM(java.lang.String,
                    int,
                    int,
                    java.lang.String,
                    java.lang.String,
                    java.lang.String)

Method Detail

### getClasspath

    public java.lang.String getClasspath()

  Specified by:
    `getClasspath` in interface `management.JVM`

### getHeapUsage

    public int getHeapUsage()

  Specified by:
    `getHeapUsage` in interface `management.JVM`

### getJavaVendor

    public java.lang.String getJavaVendor()

  Specified by:
    `getJavaVendor` in interface `management.JVM`

### getJavaVersion

    public java.lang.String getJavaVersion()

  Specified by:
    `getJavaVersion` in interface `management.JVM`

### getMaxHeap

    public int getMaxHeap()

  Specified by:
    `getMaxHeap` in interface `management.JVM`

### setClasspath

    public void setClasspath(java.lang.String)

  Specified by:
    `setClasspath` in interface `management.JVM`

### setHeapUsage

    public void setHeapUsage(int)

  Specified by:
    `setHeapUsage` in interface `management.JVM`

### setJavaVendor

    public void setJavaVendor(java.lang.String)

  Specified by:
    `setJavaVendor` in interface `management.JVM`

### setJavaVersion

    public void setJavaVersion(java.lang.String)

  Specified by:
    `setJavaVersion` in interface `management.JVM`

### setMaxHeap

    public void setMaxHeap(int)

  Specified by:
    `setMaxHeap` in interface `management.JVM`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.